Page MenuHomePhabricator

Re-prioritize peering over transit
Closed, ResolvedPublic

Description

In T204281 we stopped prioritizing peering over transit for prefixes learned from multiple sources.

The main reason was that all things equal it would be better to respect a network's prepending.

In today's light, it might be better to re-introduce the change, mostly for cost saving reasons, especially in sites where we're close to our commits.

Event Timeline

ayounsi triaged this task as Medium priority.Aug 4 2020, 1:22 PM
ayounsi created this task.
Restricted Application added a project: Operations. · View Herald TranscriptAug 4 2020, 1:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
CDanis added a subscriber: CDanis.Aug 4 2020, 1:23 PM

Change 619278 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/homer/public@master] Re-prioritize peering over transit - ulsfo

https://gerrit.wikimedia.org/r/619278

Mentioned in SAL (#wikimedia-operations) [2020-08-10T11:13:16Z] <XioNoX> Re-prioritize peering over transit - ulsfo - T259614

Change 619278 merged by jenkins-bot:
[operations/homer/public@master] Re-prioritize peering over transit - ulsfo

https://gerrit.wikimedia.org/r/619278

Change 619290 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/homer/public@master] Re-prioritize peering over transit - eqsin

https://gerrit.wikimedia.org/r/619290

Mentioned in SAL (#wikimedia-operations) [2020-08-10T12:34:02Z] <XioNoX> Re-prioritize peering over transit - eqsin - T259614

Change 619290 merged by jenkins-bot:
[operations/homer/public@master] Re-prioritize peering over transit - eqsin

https://gerrit.wikimedia.org/r/619290

Mentioned in SAL (#wikimedia-operations) [2020-08-10T13:55:27Z] <XioNoX> Re-prioritize peering over transit - codfw - T259614

Change 619299 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/homer/public@master] Re-prioritize peering over transit - codfw

https://gerrit.wikimedia.org/r/619299

Change 619299 merged by jenkins-bot:
[operations/homer/public@master] Re-prioritize peering over transit - codfw

https://gerrit.wikimedia.org/r/619299

Change 619432 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/homer/public@master] Re-prioritize peering over transit eqiad/esams

https://gerrit.wikimedia.org/r/619432

Mentioned in SAL (#wikimedia-operations) [2020-08-11T06:45:34Z] <XioNoX> Re-prioritize peering over transit eqiad/esams - T259614

Change 619432 merged by jenkins-bot:
[operations/homer/public@master] Re-prioritize peering over transit eqiad/esams

https://gerrit.wikimedia.org/r/619432

ayounsi closed this task as Resolved.Aug 11 2020, 7:03 AM

All done!